/[escript]/trunk/doc/install/binlinux.tex
ViewVC logotype

Diff of /trunk/doc/install/binlinux.tex

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 2324 by jfenwick, Thu Mar 19 04:35:30 2009 UTC revision 2602 by jfenwick, Tue Aug 11 00:38:42 2009 UTC
# Line 1  Line 1 
   
1  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
2  %  %
3  % Copyright (c) 2003-2008 by University of Queensland  % Copyright (c) 2003-2009 by University of Queensland
4  % Earth Systems Science Computational Center (ESSCC)  % Earth Systems Science Computational Center (ESSCC)
5  % http://www.uq.edu.au/esscc  % http://www.uq.edu.au/esscc
6  %  %
# Line 14  Line 13 
13  \section{Linux binary installation}  \section{Linux binary installation}
14  \label{sec:binlinux}  \label{sec:binlinux}
15    
16  \esfinley can be installed as a stand-alone bundle, containing all the required tools.  \esfinley can be installed as a stand-alone bundle, containing all the required dependencies.
17  Alternatively, if we have a package for your distribution you can use the standard tools to install.  Alternatively, if we have a package for your distribution you can use the standard tools to install.
18    Please note, however, that the current binary packages do not support \openmp\footnote{This is due to a bug related to gcc 4.3.2.} or \mpi\footnote{Producing packages for \mpi requires knowing something about your computer's configuration.}.
19    If you need these features you may need to compile \esfinley from source (see \Sec{sec:compilesrc} and \Sec{sec:compileescriptlinux}.)
20    
21  Please note, the current packages do not support \openmp\footnote{This is due to a bug related to gcc 4.3.2.} or \mpi\footnote{Producing packages for MPI requires knowing something about your computer's configuration.}.  For more information on using the \filename{escript} command please see the User's Guide.
 If you need these features you may need to compile \esfinley from source (see Sections~\ref{sec:compilesrc} and \ref{sec:compileescriptlinux}.)  
22    
23  For more information on using the \filename{escript} command please see the User Guide.  If you are using Debian (5.0 - ``Lenny'') or Ubuntu (8.10-``Intrepid Ibex'', 9.04-``Jaunty Jackalope'') then see \Sec{sec:debian}.
24    For other Linux distributions refer to \Sec{sec:standalonelinux}.
25    
26  \subsection{Debian 5.0(``Lenny'')}  \subsection{Debian 5.0(``Lenny''), Ubuntu 8.10(``Intrepid Ibex'') or 9.04(``Jaunty Jakalope'')}\label{sec:debian}
27    
28  Download the escript.deb file.  At the time of this writing we only produce deb's for the i386 and amd64 architectures.
29  (At time of writing we only produce debs for the i386 architecture.)  The package file will be named \filename{escript-X-D_A.deb} where \texttt{X} is the version, \texttt{D} is either ``\texttt{lenny}'' or ``\texttt{jaunty}'' and \texttt{A} is the architecture.
30  Execute the following commands as root (you need to be in the directory containing the file).  For example, \filename{escript-3.0-1-lenny_amd64.deb} would be the file for lenny (and intrepid) for 64bit processors.
31    To install \esfinley download the appropriate \filename{.deb} file and execute the following commands as root (you need to be in the directory containing the file):
32  \begin{shellCode}  \begin{shellCode}
33   dpkg --unpack escript.deb  dpkg --unpack escript.deb
34   aptitude install escript  aptitude install escript
35  \end{shellCode}  \end{shellCode}
36    
37  If you use sudo this would be:  If you use sudo (for example on Ubuntu) enter the following instead:
38  \begin{shellCode}  \begin{shellCode}
39  sudo dpkg --unpack escript.deb  sudo dpkg --unpack escript.deb
40  sudo aptitude install escript  sudo aptitude install escript
41  \end{shellCode}  \end{shellCode}
42    
43  \subsection{Ubuntu 8.10(``Intrepid Ibex'')}  This should install \esfinley and its dependencies on your system.
44    Please notify the development team if something goes wrong.
 Since the installation process for \esfinley is pretty simple you should be able to use the same Lenny package for Ubuntu as well.  
 Please notify the development team if this is not the case.  
 Note that you will need to use the ``sudo'' instructions.  
45    
46    
47  \subsection{Stand-alone bundle}  \subsection{Stand-alone bundle}\label{sec:standalonelinux}
48    
49  Download the bundle and decompress it.  If there is no package available for your distribution, you may be able to use one of our stand alone bundles.
50    These come in two parts: escript itself (\filename{escript_3.0_i386.tar.bz2}) and a group of required programs (\filename{escript-support_3.0_i386.tar.bz2}). For $64$-bit Intel and Amd processors substitute \texttt{amd64} for \texttt{i386}.
51  \begin{shellCode}  \begin{shellCode}
52  tar -xjf escript.tar.bz2  tar -xjf escript-support_3.0_i386.tar.bz2
53    tar -xjf escript_3.0_i386.tar.bz2
54  \end{shellCode}  \end{shellCode}
55  This will produce a directory called \filename{stand}.  This will produce a directory called \filename{stand} which contains a stand-alone version of \esfinley and its dependencies.
56  You can rename or move it as is convienient to you.  You can rename or move it as is convenient to you, no installation is required.
57  Test your installation by running:  Test your installation by running:
58  \begin{shellCode}  \begin{shellCode}
59   stand/escript.d/bin/escript  stand/escript.d/bin/escript
60  \end{shellCode}  \end{shellCode}
61  You should get a normal python shell.  This should give you a normal python shell.
62  If you wish to save on typing you can add \filename{x/escript.d/bin} to your PATH variable (where x is the absolute path to your install).  If you wish to save on typing you can add \filename{x/stand/escript.d/bin}\footnote{or whatever you renamed \texttt{stand} to.} to your \texttt{PATH} variable (where x is the absolute path to your install).
   
   
   
63    

Legend:
Removed from v.2324  
changed lines
  Added in v.2602

  ViewVC Help
Powered by ViewVC 1.1.26